/*
	polytope.r
	
	Types for the polytope files used by Spinner
*/

type 'Dim0' {
	integer = $$CountOf(vertArray);	/* Number of vertices represented */
	integer;		/* Largest magnitude of any vector */
	array vertArray {	/* the vertices */
		array [4] {
			integer;
		};
	};
	integer = 0;	/* not used */
};

type 'Dim1' {
	integer = $$CountOf(edgeArray);
	array edgeArray {
		array [2] {	/* index of the 2 points of each edge */
			integer;
		};
	};
	integer = 0;	/* not used */
};
